Subject: Re: bug#6364: [PATCH] Use GetCharABCWidthsFloatW if GetGlyphOutlineW fails.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Nov 2013 22:48:45 +0200

> From: Tom Seddon <[email-masked]>
> Date: Tue, 26 Nov 2013 20:30:38 +0000
> Cc: [email-masked]
> 
> This list: http://msdn.microsoft.com/en-us/library/ms812845.aspx - it looks to be an outdated MSDN contents page, or something very much like, so I assume it's at lesat fairly authoritative. (I got the link here, which I found via google: http://microsoft.public.platformsdk.mslayerforunicode.narkive.com/QbsrNDDh/list-of-functions-handled-by-mslu)
> 
> And under G, GetCharABCWidthsFloat is indeed missing.
> 
> I suspect the page is a bit outdated, because some of the links are broken. (And also, of course, because it deal with Windows '9x...)

OK.  So what other function(s) can be used for this purpose?

If there are no good alternatives, I guess we will go with
GetCharABCWidthsFloatW anyway, since the situation cannot become worse
than it is already.

Btw, I used your recipe, but didn't see any significant slowdown with
fixed.fon (also, the file bigline.txt is missing, I just used the
16384 thingy instead.